# BlendDataMetaBalls(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``BlendDataMetaBalls`(bpy_struct)

  Collection of metaballs

  `is_updated`

    Type: | boolean, default False, (readonly)

  `new`(name)

    Add a new metaball to the main database

    Parameters: | name (string, (never None)) – New name for the data-block
    Returns: | New metaball data-block
    Return type: | `MetaBall`

  `remove`(metaball)

    Remove a metaball from the current blendfile

    Parameters: | metaball (`MetaBall`, (never None)) – Metaball to remove

  `tag`(value)

    tag

    Parameters: | value (boolean) – Value

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`BlendData.metaballs` |